## cong-progress-checklist

cong-progress-checklist —

## Synopsis

    typedef     CongProgressChecklist;
    #define     CONG_PROGRESS_CHECKLIST         (x)
    GtkWidget*  cong_progress_checklist_new     (void);
    void        cong_progress_checklist_add_stage
                                                (CongProgressChecklist *progress_checklist,
                                                 const gchar *stage_name);
    void        cong_progress_checklist_complete_stage
                                                (CongProgressChecklist *progress_checklist);
    typedef     CongProgressChecklistDialog;
    #define     CONG_PROGRESS_CHECKLIST_DIALOG  (x)
    GtkWidget*  cong_progress_checklist_dialog_new
                                                (const gchar *title,
                                                 GtkWindow *parent_window);
    CongProgressChecklist* cong_progress_checklist_dialog_get_progress_checklist
                                                (CongProgressChecklistDialog *progress_checklist_dialog);
    void        cong_progress_checklist_dialog_set_progress_bar
                                                (CongProgressChecklist *progress_checklist,
                                                 GtkWidget *progress_bar);

## Description

## Details

### CongProgressChecklist

    typedef GtkTable CongProgressChecklist;

### CONG_PROGRESS_CHECKLIST()

    #define CONG_PROGRESS_CHECKLIST(x) ((CongProgressChecklist*)(x))

`x` : |

### cong_progress_checklist_new ()

    GtkWidget*  cong_progress_checklist_new     (void);

TODO: Write me

Returns : |

### cong_progress_checklist_add_stage ()

    void        cong_progress_checklist_add_stage
                                                (CongProgressChecklist *progress_checklist,
                                                 const gchar *stage_name);

TODO: Write me

`progress_checklist` : |
`stage_name` : |

### cong_progress_checklist_complete_stage ()

    void        cong_progress_checklist_complete_stage
                                                (CongProgressChecklist *progress_checklist);

TODO: Write me

`progress_checklist` : |

### CongProgressChecklistDialog

    typedef GtkDialog CongProgressChecklistDialog;

### CONG_PROGRESS_CHECKLIST_DIALOG()

    #define CONG_PROGRESS_CHECKLIST_DIALOG(x) ((CongProgressChecklistDialog*)(x))

`x` : |

### cong_progress_checklist_dialog_new ()

    GtkWidget*  cong_progress_checklist_dialog_new
                                                (const gchar *title,
                                                 GtkWindow *parent_window);

TODO: Write me

`title` : |
`parent_window` : |
Returns : |

### cong_progress_checklist_dialog_get_progress_checklist ()

    CongProgressChecklist* cong_progress_checklist_dialog_get_progress_checklist
                                                (CongProgressChecklistDialog *progress_checklist_dialog);

TODO: Write me

`progress_checklist_dialog` : |
Returns : |

### cong_progress_checklist_dialog_set_progress_bar ()

    void        cong_progress_checklist_dialog_set_progress_bar
                                                (CongProgressChecklist *progress_checklist,
                                                 GtkWidget *progress_bar);

This function is not currently implemented

`progress_checklist` : |
`progress_bar` : |